package com.ho.business.service;

import com.ho.business.entity.IncomeTemplateType;
import com.ho.business.entity.RateTemplate;
import com.ho.common.tools.entity.SimpleUser;

import java.util.List;
import java.util.Map;

public interface IncomeMappingService {

    public List<RateTemplate> selectRateTemplates(RateTemplate rateTemplate);

    public Map<String,Object> insertRateTemplate(RateTemplate rateTemplate,SimpleUser simpleUser);

    public Map<String,Object> modifyRateTemplate(RateTemplate rateTemplate,SimpleUser simpleUser);

    public Map<String,Object> deleteRateTemplate(long id);

    public List<IncomeTemplateType> getIncomeTemplateTypes();

    public Map<String,Object> changeSwitch(RateTemplate rateTemplate);


}
